Subject: Re: [PATCH v4 1/3] builtin/commit.c: remove bespoke option callback

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 2 May 2024 08:27:16 +0200

On Tue, Apr 30, 2024 at 02:41:49PM +0000, John Passaro via GitGitGadget wrote:
> From: John Passaro <[email-masked]>
> 
> Replace git-commit's bespoke callback for --trailer with the standard
> OPT_PASSTHRU_ARGV macro. The bespoke callback was only adding its values
> to a strvec and sanity-checking that `unset` is always false; both of
> these are already implemented in the parse-option API.

Nit: I feel like saying "bespoke" is a bit vague. I would have said
something like the following:

    builtin/commit: use ARGV option to collect custom trailers

In any case, I don't think this is a huge deal and not worth a reroll on
its own.

Patrick